* {
	box-sizing: border-box;
}
		
html {
	background: #AAAAAA;
}

body {	
	background: #999999;
	font-family: Arial,Helvetica Neue,Helvetica,sans-serif;
	font-size: 18px;
	
	margin: 0 auto;
	max-width: 910px;
	height: 100vh;
	
	display: flex;
	flex-flow: column;
}

header {
	background: #00FFFF;
	flex: 1 1 0%;
}
		
header h1 {
	margin: 10px;
}

nav {
	margin: 0;
	padding: 0;
}

nav ul {
	margin: 0;
	padding: 5px;
	display: flex;
	flex-flow: row;
}

 nav li {
	list-style-type: none;
	margin: 0;
	padding: 5px;
	flex: 1 1 0%;
}
	
nav a {
	display: inline-block;
	width: 100%;
	background: #00AAAA;
	color: #000000;
	margin: 0;
	padding: 0.75em 0;
	text-decoration: none;
	text-align: center;
}
		
div#content {
	background: #00CCCC;
	flex: 2 1 100%;
	padding: 5px;			
	display: flex;
	flex-flow: row wrap;
}

aside {
	min-width: 10em;
	background: #00FFAA;
	margin: 5px;
	padding: 10px;
	flex: 1 1 0%;
}

article {
	min-width: 20em;
	background: #00AAFF;
	margin: 5px;
	padding: 10px;
	flex: 3 1 0%;
}

footer {
	background: #00AAAA;
	flex: 1 1 0%;
}
		
footer h1{
	padding: 10px;
}
